# DataExchange
TKIGES
IGESData

# IGESData_GlobalNodeOfWriterLib Class Reference

`#include <IGESData_GlobalNodeOfWriterLib.hxx>`

## Public Member Functions

Standard_EXPORT | IGESData_GlobalNodeOfWriterLib ()
Standard_EXPORT void | Add (const Handle(IGESData_ReadWriteModule)&amodule, const Handle(IGESData_Protocol)&aprotocol)
Standard_EXPORT const Handle_IGESData_ReadWriteModule & | Module () const
Standard_EXPORT const Handle_IGESData_Protocol & | Protocol () const
Standard_EXPORT const Handle_IGESData_GlobalNodeOfWriterLib & | Next () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESData_ReadWriteModule | themod
Handle_IGESData_Protocol | theprot
Handle_IGESData_GlobalNodeOfWriterLib | thenext

## Constructor & Destructor Documentation

Standard_EXPORT IGESData_GlobalNodeOfWriterLib::IGESData_GlobalNodeOfWriterLib | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void IGESData_GlobalNodeOfWriterLib::Add | ( | const Handle(IGESData_ReadWriteModule)& | amodule,
|  | const Handle(IGESData_Protocol)& | aprotocol
| ) |

Standard_EXPORT const IGESData_GlobalNodeOfWriterLib::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Handle_IGESData_ReadWriteModule& IGESData_GlobalNodeOfWriterLib::Module | ( |  | ) | const

Standard_EXPORT const Handle_IGESData_GlobalNodeOfWriterLib& IGESData_GlobalNodeOfWriterLib::Next | ( |  | ) | const

Standard_EXPORT const Handle_IGESData_Protocol& IGESData_GlobalNodeOfWriterLib::Protocol | ( |  | ) | const

## Field Documentation

Handle_IGESData_ReadWriteModule IGESData_GlobalNodeOfWriterLib::themod `[private]`

Handle_IGESData_GlobalNodeOfWriterLib IGESData_GlobalNodeOfWriterLib::thenext `[private]`

Handle_IGESData_Protocol IGESData_GlobalNodeOfWriterLib::theprot `[private]`

The documentation for this class was generated from the following file:

- IGESData_GlobalNodeOfWriterLib.hxx